	#
# DPA (Digi Port Authortiy) Universal Makefile
#
#

include ../Makefile.inc

CC = gcc
SHELL = /bin/sh
HELPDIR= $(DRVLIBDIR)/dpa
INCLUDES= -I.. -I../fep_include -I../includes
CFLAGS = -O2 -DLINUX -DDXB -DEPC -DMRGDRV -DHELPDIR=\"$(HELPDIR)\" $(INCLUDES)
LIBS = -lpanel -lncurses
CURSES = /usr/include/curses.h

ifneq ($(PACKAGE),"")
	PACKAGEEXT= .$(PACKAGE)
endif

all: dpa

build: dpa

dpa: dpa.c dpa.h attribs.o
	@if [ -f $(CURSES) ]                                               ; \
    then echo "${CC} -O -s ${CFLAGS} -o dpa dpa.c attribs.o ${LIBS}"       ; \
	     ${CC} -O -s ${CFLAGS} -o dpa dpa.c attribs.o ${LIBS}          ; \
         strip dpa                                                         ; \
	else echo "Creating stub dpa"                                      ; \
	     echo "#!/bin/sh"                                        > dpa ; \
	     echo "echo You must install curses and recompile dpa." >> dpa ; \
	fi

attribs.o: attribs.c
	@if [ -f $(CURSES) ]                                               ; \
    then echo "${CC} $(CFLAGS) -c attribs.c"                               ; \
		 ${CC} $(CFLAGS) -c attribs.c                              ; \
	fi

clean:
	rm -f dpa attribs.o

clobber:	clean

install:	dpa
	rm -f $(BINDIR)/dpa$(PACKAGEEXT)
	install -m 0755 dpa $(BINDIR)/dpa$(PACKAGEEXT)
	mkdir -p -m 755 $(HELPDIR)
	install -m 0644 dpa_info* $(HELPDIR)

uninstall: clobber
	rm -f $(BINDIR)/dpa$(PACKAGEEXT)
	rm -rf $(HELPDIR)
