#
# This is the spec file for the Digi ClassicPCI Linux Driver
#
#       Not really part of the spec file, this ties the Digi
#       International Part Number to traditional Linux Versioning
#       DO NOT REMOVE:  Used by partnum called from Makefile
#
#DigiPart:	40001450_T
#DigiRelNotes:	93000239_T
#
Name:		epca
Version:	1.57
Release:	1
Summary:	The Digi Intelligent Async driver for Linux
Group:		Applications/Communications
Copyright:	GPL
Vendor:		Digi International
URL:		http://www.digi.com/
Source:		http://support.digi.com/support/drivers/linux/%{name}-%{version}-%{release}.tar.gz
Packager:	Scott H Kilau <scottk at digi dot com>
ExclusiveOS:	Linux
BuildRoot:	/var/tmp/%{name}-buildroot


%description
This packages contains the device drivers and the supporting management
applications for the following Digi International adapter families:
  Digi Acceleport Xe, Xem, C/X, EPC/X, Xr, Xr/422, and Xr/920.
See the release notes for full details.


%prep
%setup -n %{name}-%{version}-%{release}
if [ "$RPM_BUILD_ROOT" = "/" ]
then
	echo This package requires a seperate BuildRoot to build properly.
	exit 1
fi
rm -rf $RPM_BUILD_ROOT/usr/src/dg/epca
mkdir -m 755 -p $RPM_BUILD_ROOT/usr/src/dg/epca/drv/linux
cp -R $RPM_BUILD_DIR/%{name}-%{version}-%{release}/* $RPM_BUILD_ROOT/usr/src/dg/epca/drv/linux

%configure \
	%{?DISTRO:DISTRO%DISTRO}	\
	%{?DISTR:DISTR%DISTR}		\
	%{?DIST:DIST%DIST}


%build
make all

%install
make install BUILDROOT=$RPM_BUILD_ROOT
make clean


%clean
if [ "$RPM_BUILD_ROOT" != "/" ]
then
	rm -rf $RPM_BUILD_ROOT
else
	make uninstall BUILDROOT=$RPM_BUILD_ROOT
fi


%preun 
if [ "`lsmod | grep -c epca`" -gt "0" ]
then
    if [ -x /etc/rc.d/init.d/epca ]
    then
	/etc/rc.d/init.d/epca stop
    else
	/etc/init.d/epca stop
    fi
fi
if [ -f /etc/digi/cxconf.dat ]; then
	rm -f /etc/digi/cxconf.dat
fi
if [ -f /etc/digi/epcxconf.dat ]; then
	rm -f /etc/digi/epcxconf.dat
fi
if [ -f /etc/digi/modcmdline ]; then
	rm -f /etc/digi/modcmdline
fi
if [ -L /usr/bin/dpa ]
then
    if [ "`ls -l /usr/bin/dpa | grep -c epca`" -gt "0" ]
    then
	rm /usr/bin/dpa
    fi
fi
if [ -L /usr/bin/ditty ]
then
    if [ "`ls -l /usr/bin/ditty | grep -c epca`" -gt "0" ]
    then
	rm /usr/bin/ditty
    fi
fi
rm -rf /dev/dg/epca/*


%post 
mkdir -p -m 0755 /dev/dg/epca
mknod /dev/dg/epca/digiCtl c 35 0
(cd /dev/dg/epca ; ln -s digiCtl epcadl )
if [ ! -e /usr/bin/dpa ]
then
    (cd /usr/bin ; ln -s dpa.epca dpa )
fi
if [ ! -e /usr/bin/ditty ]
then
    (cd /usr/bin ; ln -s ditty.epca ditty )
fi


%files
/lib/modules/*/misc/epca.o
/etc
/dev/dg/epca/
%dir /usr
/usr/src/dg/epca
/usr/lib/dg/epca
/usr/bin/ditty.epca
/usr/*/man/man1/ditty.1*
/usr/bin/dpa.epca
/usr/sbin/digiConf
/usr/sbin/epcxconf
/usr/sbin/cxconf
/usr/sbin/digiDload
%doc release.notes
%doc COPYING

